package com.xhkjedu.smarking.model.exam;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.*;

/**
 * @Description 阅卷考试科目表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_subject")
public class MsSubject extends BaseBean {
    @Id
    //阅卷考试科目ID
    private Integer msid;
    //考试表id
    private Integer examid;
    //科目表id
    private String subjectid;
    //科目名称
    private String subjectname;
    //考试日期
    private String sdate;
    //开始时间(10:00)
    private String begintime;
    //结束时间(12:00)
    private String endtime;
    //出卷人id
    private Integer teacherid;
    //学科组长id
    private Integer leaderid;
    //单科状态0未开始1进行中2已结束
    private Integer msstate;
    //试卷设置状态0未开始1设置中2已完成3退回
    private Integer pstate;
    //试卷模板设置状态0未设置1设置中2已设置
    private Integer ptstate;
    //试卷题块设置状态0未设置1设置中2已设置
    private Integer pbstate;
    //阅卷状态0未开始1进行中2中止
    private Integer checkstate;
    //阅卷设置0未设置1设置中2已设置
    private Integer checkset;
    //监控设置0未设置2已设置
    private Integer invigilatestate;
    //设置人
    private Integer handleid;
    //设置时间
    private Integer handletime;

    //学校id
    private Integer schoolid;
}
