package com.xhkjedu.smarking.model.stupaper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description 阅卷学生补录成绩历史表
 * @Author auto
 * @Date 2024-11-11
 */
@Data
@Table(name = "ms_paper_student_score")
public class MsPaperStudentScore extends BaseBean {
    @Id
    //补录成绩历史ID
    private Integer mpscoreid;
    //考试id
    private Integer examid;
    //试卷id
    private Integer mpid;
    //科目id
    private String subjectid;
    //学生id
    private Integer studentid;
    //补录前分数
    private Double fillpre;
    //补录分数
    private Double fillscore;
    //创建人ID
    private Integer createid;
    //创建时间
    private Integer createtime;

    @Transient
    private Integer mpsid;//学生试卷ID
}
