package com.xhkjedu.smarking.vo.papercheck;

import com.xhkjedu.smarking.model.paper.MsPaperBlockQuestion;
import lombok.Data;

import java.util.List;

/**
 * @Description 阅卷分配VO
 * @Author YWX
 * @Date 2024/10/28 16:51
 **/
@Data
public class MsPaperCheckVo {
    //试卷ID
    private Integer mpid;
    //题块ID
    private Integer mblockid;
    //考试试题表id
    private Integer mptqid;
    //阅卷试卷学生题块ID
    private Integer mpsbid;
    //阅卷试卷学生合并后试题ID
    private Integer mpsqmid;
    //是否作答0未作答1已作做答
    private Integer answered;
    //答案类型1选择题2图片3纯文本
    private Integer answertype;
    //学生答案
    private String stuanswer;
    //试题分值
    private Double qscore;
    //是否批阅0默认1待批阅2批阅中3已批阅
    private Integer checked;
    //单评批改人
    private Integer firstcid;
    //复评批改人
    private Integer secondcid;
    //单评批改时间
    private Integer firstcime;
    //单评批改分值
    private Double firstccore;
    //单评批改分值数组
    private String firstccores;
    //复评批改时间
    private Integer secondctime;
    //复评批改分值
    private Double secondcscore;
    //复评批改分值数组
    private String secondcscores;
    //仲裁人
    private Integer arbitrateid;
    //仲裁时间
    private Integer arbitratetime;
    //仲裁分值
    private Double arbitratescore;
    //批阅情况1一评2二评
    private Integer checktype;
    //操作人ID
    private Integer handleid;

    //得分数组
    private String checkscore;
    //疑难0默认1疑难
    private Integer hasproblem;
    //疑难类型1图形模糊2答题错位3没有图像4图像颠倒5其他问题
    private Integer problemtype;
    //疑难备注
    private String problemcomm;
    //优秀试卷0默认1优秀
    private Integer hasgood;
    //违纪试卷0默认1违纪
    private Integer hasbad;
    //学生ID
    private Integer studentid;
    //序号
    private Integer taskorder;
    //批阅设置：1按班设置2按题设置3按题块设置
    private Integer correcttype;
    //最终批改原因1仲裁2学科组长批
    private Integer finalreason;
    //题块试题列表
    private List<MsPaperBlockQuestion> questions;
}
