package com.xhkjedu.slog.mapper.log;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.model.slog.THandleLog;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Description：操作日志
 * @Author: WN
 * @Date: 2023/11/15 10:30:33
 **/
@Repository
public interface HandleLogMapper extends TkMapper<THandleLog> {

    //操作日志列表-校园
    List<THandleLog> listHandleLogForSchool(@Param("log")THandleLog log);

    //操作日志列表-区域
    List<Map> listHandleLogForCloud(@Param("log")THandleLog log);
}
