package com.xhkjedu.smarking.mapper.wholeparam;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.wholeparam.MspGradeparam;
import com.xhkjedu.smarking.vo.wholeparam.GradeParams;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description：阅卷指标参数-等级类参数表
 * @Author: WN
 * @Date: 2024/12/2 16:14:48
 **/
public interface MspGradeparamMapper extends TkMapper<MspGradeparam> {

    //获取学校年级下指定模块参数
    List<MspGradeparam> getGradeParamByGradeAndBelong(@Param("gp") GradeParams gp);
    //删除
    int deleteGradeparam(@Param("gp")GradeParams gp);
}
