package com.xhkjedu.smarking.model.paper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @Description 阅卷试卷题块
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_block")
public class MsPaperBlock extends BaseBean {
    @Id
    //阅卷试卷题块ID
    private Integer mblockid;
    //试卷ID
    private Integer mpid;
    //题块名称
    private String blockname;
    //题块类型1客观题2主观题
    private Integer blocktype;
    //排序/首题号
    private Integer blockorder;
    //试题数量
    private Integer bqnum;
    //试题分值
    private Double bqscore;
    //创建人ID
    private Integer createid;
    //创建时间
    private Integer createtime;

    //题块下试题
    @Transient
    private List<MsPaperBlockQuestion> questions;
}
