package com.xhkjedu.smarking.vo.paper;

import com.xhkjedu.smarking.model.paper.MsPaperBlock;
import com.xhkjedu.smarking.model.paper.MsPaperQtypeQuestion;
import com.xhkjedu.smarking.model.paper.MsTemplateBlock;
import lombok.Data;

import java.util.List;

/**
 * @Description：试卷题块参数
 * @Author: WN
 * @Date: 2024/10/21 15:28:46
 **/
@Data
public class MsPaperParams {

    private Integer msid; //试卷科目ID
    private Integer mpid;//试卷ID
    private Integer createid;//创建人ID
    private List<MsPaperBlock> blocks; //试卷题块列表

    private Integer mtid;//模板ID
    private List<MsTemplateBlock> tblocks; //模板题块列

    private Integer mptid;//试题题型ID

    private Integer mptqid;//试题ID

    private Integer movetype;//移动类型1上移2下移
    private Integer movevalue;//移动值

    private List<MsPaperQtypeQuestion> questions;//试题列表
}
